Compaction (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.pdf417.encoder, enum: Compaction

Package com.google.zxing.pdf417.encoder

# Enum Compaction

java.lang.Object
java.lang.Enum<Compaction>
com.google.zxing.pdf417.encoder.Compaction

All Implemented Interfaces:
  `Serializable`, `Comparable<Compaction>`, `java.lang.constant.Constable`

public enum Compaction extends Enum<Compaction>
Represents possible PDF417 barcode compaction types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `BYTE`
  `NUMERIC`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Compaction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Compaction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final Compaction AUTO

  - ### TEXT

    public static final Compaction TEXT

  - ### BYTE

    public static final Compaction BYTE

  - ### NUMERIC

    public static final Compaction NUMERIC

- ## Method Details

  - ### values

    public static Compaction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Compaction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null